> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bundles

> Retrieves a paginated list of all bundles with option counts.



## OpenAPI

````yaml swagger.json get /bundles
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles:
    get:
      tags:
        - Bundles
      summary: List Bundles
      description: Retrieves a paginated list of all bundles with option counts.
      parameters:
        - name: startKey
          in: query
          required: false
          schema:
            type: string
          description: Cursor for pagination
        - name: limit
          in: query
          required: false
          schema:
            type: string
            default: '500'
      responses:
        '200':
          description: Successfully retrieved bundles
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBundlesResponse'
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListBundlesResponse:
      type: object
      properties:
        bundles:
          type: array
          items:
            $ref: '#/components/schemas/BundleWithOptionCounts'
        nextKey:
          type: string
          nullable: true
      required:
        - bundles
    BundleWithOptionCounts:
      allOf:
        - $ref: '#/components/schemas/Bundle'
        - type: object
          properties:
            includedOptionsCount:
              type: number
            addOnOptionsCount:
              type: number
          required:
            - includedOptionsCount
            - addOnOptionsCount
    Bundle:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        isActive:
          type: boolean
        header:
          $ref: '#/components/schemas/BundleProduct'
        clonedBundleTempName:
          type: string
          nullable: true
      required:
        - id
        - accountId
        - isActive
    BundleProduct:
      type: object
      properties:
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
      required:
        - productId
        - properties
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````